Reviews
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{series_id}/reviews?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/reviews?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{series_id}/reviews?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 4614,
"page": 1,
"results": [
{
"author": "drystyx",
"author_details": {
"avatar_path": "/hLLsAvAnVT0cFU7JuuaaItTWXv8.jpg",
"name": "",
"rating": 1,
"username": "drystyx"
},
"content": "Written to depress young men.\r\nIt seems that Bellisario writes mostly the same depressing and predictable story each time. Everything is contrived to kill women with dark hair and dark eyes. I don't know if he was jilted by too many brunettes as a kid, or if he's just into worship of Hitler and the Nazi ideology.\r\nEither way, it makes for a depressing show for any young man. I watched about five of these shows, and it was always the same. He bent over backwards for the Nazi ideology, for whatever reason.\r\nI can't remember all the Magnum episodes, but it seems that was pretty much the main weakness of the Magnum PI shows, too. \r\nThere's really no detective work to note, because he bangs us over the head with this ideology so much that you can't notice anything else. He just simply won't let you notice anything else. He's eaten up with it.\r\nAny way, I guess the women like it, but men sure hate it.",
"created_at": "2023-04-18T19:27:21.086Z",
"id": "643eef19aad9c205419f39e9",
"updated_at": "2023-04-18T19:27:21.214Z",
"url": "https://www.themoviedb.org/review/643eef19aad9c205419f39e9"
}
],
"total_pages": 1,
"total_results": 1
}TV Series
Reviews
This endpoint is used to get the reviews that have been added to a TV show.
GET
/
3
/
tv
/
{series_id}
/
reviews
Reviews
Authorizations
Path Parameters
integer
Example:
"4614"
Response
200 - application/json
OK
Example:
4614
Example:
1
Show child attributes
Show child attributes
Example:
[ { "author": "drystyx", "author_details": { "avatar_path": "/hLLsAvAnVT0cFU7JuuaaItTWXv8.jpg", "name": "", "rating": 1, "username": "drystyx" }, "content": "Written to depress young men.\r\nIt seems that Bellisario writes mostly the same depressing and predictable story each time. Everything is contrived to kill women with dark hair and dark eyes. I don't know if he was jilted by too many brunettes as a kid, or if he's just into worship of Hitler and the Nazi ideology.\r\nEither way, it makes for a depressing show for any young man. I watched about five of these shows, and it was always the same. He bent over backwards for the Nazi ideology, for whatever reason.\r\nI can't remember all the Magnum episodes, but it seems that was pretty much the main weakness of the Magnum PI shows, too. \r\nThere's really no detective work to note, because he bangs us over the head with this ideology so much that you can't notice anything else. He just simply won't let you notice anything else. He's eaten up with it.\r\nAny way, I guess the women like it, but men sure hate it.", "created_at": "2023-04-18T19:27:21.086Z", "id": "643eef19aad9c205419f39e9", "updated_at": "2023-04-18T19:27:21.214Z", "url": "https://www.themoviedb.org/review/643eef19aad9c205419f39e9" } ]
Example:
1
Example:
1
Was this page helpful?
⌘I